# $Revision: 1.12 $, $Date: 2006/03/02 23:01:11 $
Summary:	Little utility will cool your processor
Summary(pl):	Mae narzdzie, ktre bdzie chodzio twj procesor
Name:		lvcool
Version:	1.7
Release:	3
License:	GPL v2
Group:		Daemons
Source0:	http://vcool.occludo.net/VCool-%{version}-Linux.tar.gz
# Source0-md5:	b07bd25ccc292235783d4890b6be3906
Source1:	%{name}.init
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-fork.patch
Patch2:		%{name}-sched_yield.patch
URL:		http://vcool.occludo.net/VC_Linux.html
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LVCool will cool your Athlon/Duron processor by switching it to a
low-power mode on Via KT133 or KX133 (VT8363 or VT8371/VT82C686x)
chipsets during idle.

%description -l pl
LVCool chodzi procesor poprzez przeczenie go w tryb o niskim
poborze mocy na chipsetach KT133 lub KX133 (VT8363 lub
VT8371/VT82C686x) podczas stanu jaowego.

%prep
%setup  -q -n LVCool
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/lvcool

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add lvcool
%service lvcool restart "lvcool daemon"

%preun
if [ "$1" = "0" ]; then
	%service lvcool stop
	/sbin/chkconfig --del lvcool
fi


%files
%defattr(644,root,root,755)
%attr(754,root,root) %{_sbindir}/%{name}
%attr(754,root,root) /etc/rc.d/init.d/lvcool

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lvcool.spec,v $
Revision 1.12  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.11  2005/06/04 14:05:55  zbyniu
- BR: libstdc++-devel

Revision 1.10  2004/02/27 17:26:24  blues
- release 3

Revision 1.9  2003/07/29 14:17:59  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.8  2003/05/28 12:59:38  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:50:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/02/03 10:03:51  malekith
- make calls to sched_yield() in idle loop which causes it to use less CPU
  under heavy system load
- release 2

Revision 1.5  2003/02/03 00:24:29  malekith
- this is C++ program -- use g++ for compilation and link

Revision 1.4  2002/07/21 20:12:49  kloczek
- ExclusiveArch: %{ix86},
- use proper CC.

Revision 1.3  2002/07/21 15:54:28  blues
- release 1
- fork patch added, init script changed
  STBR

Revision 1.2  2002/07/21 15:40:28  jajcus
- this is C++ program, so use %{__cxx} to compile (needed for Nest gcc)

Revision 1.1  2002/07/21 15:27:38  blues
- initial release - works great!
- TODO - forking
